
Redmine - Patch #5508

"fiters" and "options" should be hidden in print view via css

2010-05-12 01:46 - Radek Antoniuk

Status: Closed Start date: 2010-05-12

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 100%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.5   

Description

the buttons and filters menus above the issue list in the issues view would be nice to be hidden while printing to take less space in

print.

Associated revisions

Revision 3787 - 2010-06-19 23:53 - Eric Davis

Add a css class to hide content when printing. #5508

History

#1 - 2010-06-19 23:28 - Felix Schäfer

- Target version set to 0.9.5

#2 - 2010-06-19 23:37 - Eric Davis

- Assignee set to Eric Davis

Felix, can you stop adding issues to 0.9.5?  I'm trying to get it released as soon as possible and we will have 1.0 coming out soon.  Thanks.

(I'll put this one into 0.9.5, it's simple.)

#3 - 2010-06-19 23:46 - Eric Davis

- Status changed from New to Resolved

- % Done changed from 0 to 100

I added a .hide-when-print css class and applied it to the query form and buttons.

#4 - 2010-06-19 23:57 - Felix Schäfer

Eric Davis wrote:

Felix, can you stop adding issues to 0.9.5?  I'm trying to get it released as soon as possible and we will have 1.0 coming out soon.  Thanks.

(I'll put this one into 0.9.5, it's simple.)

 Oh, sorry, I was putting the (awfully) simple stuff in 0.9.5 so that it gets this week-end.

Regarding the css class: aren't most "decorations" (header, sidebar, footer) already hiddden by some trick in the css? Can't remember if it was that

too, but it might be better to keep it consistent.

#5 - 2010-06-20 00:49 - Eric Davis

Felix Schäfer wrote:

Regarding the css class: aren't most "decorations" (header, sidebar, footer) already hiddden by some trick in the css? Can't remember if it was

that too, but it might be better to keep it consistent.

 Those are specifically hidden by name.  Using a css class is simpler for things here and there (otherwise the list of things to hide could grow large).

#6 - 2010-06-20 00:58 - Eric Davis

- Status changed from Resolved to Closed
Merged to 0.9-stable for release.
